List an endpoint's delivery attempts
import requests
url = "https://app.langwatch.ai/api/webhooks/v1/endpoints/{id}/deliveries"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.langwatch.ai/api/webhooks/v1/endpoints/{id}/deliveries', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://app.langwatch.ai/api/webhooks/v1/endpoints/{id}/deliveries \
--header 'Authorization: Bearer <token>'{
"data": [
{
"id": "<string>",
"dispatch_id": "<string>",
"attempt": 0,
"event_count": 0,
"outcome": "success",
"response_status": 0,
"latency_ms": 0,
"error": "<string>",
"fired_at": "<string>"
}
],
"next_cursor": "<string>"
}Webhooks
List an endpoint's delivery attempts
The endpoint’s delivery log: every attempt with the receiver’s HTTP status, latency, and error
GET
/
api
/
webhooks
/
v1
/
endpoints
/
{id}
/
deliveries
List an endpoint's delivery attempts
import requests
url = "https://app.langwatch.ai/api/webhooks/v1/endpoints/{id}/deliveries"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.langwatch.ai/api/webhooks/v1/endpoints/{id}/deliveries', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://app.langwatch.ai/api/webhooks/v1/endpoints/{id}/deliveries \
--header 'Authorization: Bearer <token>'{
"data": [
{
"id": "<string>",
"dispatch_id": "<string>",
"attempt": 0,
"event_count": 0,
"outcome": "success",
"response_status": 0,
"latency_ms": 0,
"error": "<string>",
"fired_at": "<string>"
}
],
"next_cursor": "<string>"
}Authorizations
Admin API key for organization-level operations (managing projects, API keys). Create one in Settings > API Keys or via POST /api/api-keys. Format: sk-lw-{id}_{secret}.
Path Parameters
Minimum string length:
1Query Parameters
Maximum string length:
500Required range:
x <= 200Last modified on August 5, 2026
Was this page helpful?